Ruby用画像編集ライブラリRMagickをVineLinux4.0にインストールする

Ruby用画像編集ライブラリRMagickをVineLinux4.0にインストールする方法。

あらかじめRubyGemsをインストールする

tar xzvf rubygems-0.9.0.tgz
cd rubygems-0.9.0
ruby setup.rb

次にRMagickをインストールするために必要以下のライブラリを apt-get でインストールする。(他に必要なものがあるかも)

ImageMagick
ImageMagick-devel
gcc
bzip2-devel
zlib-devel
libtiff-devel
libjpeg-devel
libwmf-devel
XOrg-devel
ruby-devel

RubyGemsでRMagickをインストールする。

gem install RMagick

使うときは、require ‘rubygems’ を忘れずに。

#!/usr/bin/ruby
require 'rubygems'
require 'RMagick'

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください